<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateProvincia extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('provincia')
			->addColumn('descripcion', 'string', ['length' => 50, 'null' => false])
			->addColumn('region', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addForeignKey('region', 'region', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
